#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>

typedef struct {
    unsigned short batt;
    unsigned short remocon;
} MMSP2ADC;

int mmsp2adc()
{
    int fd, rv;
    MMSP2ADC val;
    fd = open("/dev/mmsp2adc", O_RDONLY);
    //printf ("fd %d\n", fd);
    if (fd < 0) {
        fprintf (stderr, "cannot open /dev/mmsp2adc, errno = %d\n", errno);
        return -1;
    }
    rv = read (fd, &val, sizeof(MMSP2ADC));
    //printf ("rv %d, val.batt %d, val.remocon %d\n", rv, val.batt, val.remocon);
    close (fd);
    return val.batt;
}
